MillionSend Docs

/audiences/{audienceId}/contacts/{id}

PATCH
/audiences/{audienceId}/contacts/{id}

Path Parameters

audienceId*string
Formatuuid
id*string
Length1 <= length

Request Body

application/json
  1. body
first_name?string

First name; null clears it

last_name?string

Last name; null clears it

unsubscribed?boolean

Global opt-out from all marketing sends

properties?

Custom properties to set (merged); null removes a key

Response Body

Contact updated

application/json
  1. response
object*"contact"
Value in"contact"
id*string
Formatuuid
Example Request
curl -X PATCH 'https://api.millionsend.com/audiences/497f6eca-6276-4993-bfeb-53cbbbba6f08/contacts/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "object": "contact",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"}